package com.memorynotfound.spring.core.component;

import org.springframework.context.annotation.ComponentScan.Filter;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.FilterType;

@Configuration
@ComponentScan(basePackages = "com.memorynotfound",
        includeFilters = @Filter(type = FilterType.REGEX, pattern = ".*Service.*Repository"),
        excludeFilters = {
                @Filter(type = FilterType.ASSIGNABLE_TYPE, value = ExcludeBean.class),
                @Filter(Configuration.class)
        })
public class AppConfig {

}
